org.red5.server.net.protocol

## Class ProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.red5.server.net.protocol.ProtocolException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HandshakeFailedException

    public class ProtocolException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProtocolException(String message)` Create protocol exception with given message.
`ProtocolException(String message, Throwable cause)` Create protocol exception with given message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProtocolException

    public ProtocolException(String message)

Create protocol exception with given message.

Parameters:
  `message` - message

#### ProtocolException

    public ProtocolException(String message,
                     Throwable cause)

Create protocol exception with given message and cause.

Parameters:
  `message` - message
  `cause` - cause